	include 'comdtc.inc/nolist'
c
	character*84 comlin
c
	equivalence (line, comlin)
c
	type 9876, idmo, iddy, idyr, ibigyr
 9876	format (4i5)
	call dtcidate (idmo, iddy, ibigyr) ! Initialize for test
	type 9876, idmo, iddy, idyr, ibigyr
	incmod = 1			! Default to days
c
 10	comlin = ' '			! Initialize each time
c
	read (5, 90), comlen, line
c
	if (comlen .eq. 0) go to 999
	line(comlen+1) = 0
c
	call dtcdatcvt(3)
c
	do i = 1, icmln
	if (line(i) .eq. 0) line(i) = 26	! ^Z prints BLOT
	end do
c
	type 91, idmo, iddy, idyr, ibigyr,
	1 comlin(1:10), (line(i), i = 1, 10)
c
	go to 10
c
 90	format(q, 84a1)
 91	format(x, i2, 2('/', i2.2), i5, ': ', a,/,10z3.2)
c
 999	continue
c
	end
